Show / Hide Table of Contents

# Struct SDL.SDL_AudioSpec

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: SDL2

###### Assembly: SDL2-CS.dll

##### Syntax

    public struct SDL_AudioSpec

### Fields

| Improve this Doc View Source

#### callback

##### Declaration

    public SDL.SDL_AudioCallback callback

##### Field Value

Type | Description
--- | ---
SDL.SDL_AudioCallback |

| Improve this Doc View Source

#### channels

##### Declaration

    public byte channels

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### format

##### Declaration

    public ushort format

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### freq

##### Declaration

    public int freq

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### samples

##### Declaration

    public ushort samples

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### silence

##### Declaration

    public byte silence

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### size

##### Declaration

    public uint size

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### userdata

##### Declaration

    public IntPtr userdata

##### Field Value

Type | Description
--- | ---
System.IntPtr |